libzypp 17.38.15

zyppng::ranges::detail Namespace Reference

## Typedefs
template<typename T>
using | reserve_op = decltype( std::declval<T&>().reserve( std::declval<std::size_t>() ) )
template<typename T>
using | size_op = decltype( std::declval<const T&>().size() )

## Functions
template<typename Container, typename Range>
void | maybe_reserve (Container &c, const Range &r)

## Typedef Documentation

## ◆ reserve_op

template<typename T>

using zyppng::ranges::detail::reserve_op = decltype( std::declval<T&>().reserve( std::declval<std::size_t>() ) )

Definition at line 81 of file ranges.h.

## ◆ size_op

template<typename T>

using zyppng::ranges::detail::size_op = decltype( std::declval<const T&>().size() )

Definition at line 84 of file ranges.h.

## Function Documentation

## ◆ maybe_reserve()

template<typename Container, typename Range>

void zyppng::ranges::detail::maybe_reserve | ( | Container & | c,
|  | const Range & | r )

Definition at line 88 of file ranges.h.